jdk/test/com/sun/jdi/JdbArgTest.sh
author ohair
Tue, 28 Dec 2010 15:53:50 -0800
changeset 7668 d4a77089c587
parent 5506 202f599c92aa
permissions -rw-r--r--
6962318: Update copyright year Reviewed-by: xdono
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     1
#!/bin/sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
     2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     3
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
     4
# Copyright (c) 2002, Oracle and/or its affiliates. All rights reserved.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     5
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     6
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     7
# This code is free software; you can redistribute it and/or modify it
90ce3da70b43 Initial load
duke
parents:
diff changeset
     8
# under the terms of the GNU General Public License version 2 only, as
90ce3da70b43 Initial load
duke
parents:
diff changeset
     9
# published by the Free Software Foundation.
90ce3da70b43 Initial load
duke
parents:
diff changeset
    10
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    11
# This code is distributed in the hope that it will be useful, but WITHOUT
90ce3da70b43 Initial load
duke
parents:
diff changeset
    12
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
90ce3da70b43 Initial load
duke
parents:
diff changeset
    13
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
90ce3da70b43 Initial load
duke
parents:
diff changeset
    14
# version 2 for more details (a copy is included in the LICENSE file that
90ce3da70b43 Initial load
duke
parents:
diff changeset
    15
# accompanied this code).
90ce3da70b43 Initial load
duke
parents:
diff changeset
    16
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    17
# You should have received a copy of the GNU General Public License version
90ce3da70b43 Initial load
duke
parents:
diff changeset
    18
# 2 along with this work; if not, write to the Free Software Foundation,
90ce3da70b43 Initial load
duke
parents:
diff changeset
    19
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
90ce3da70b43 Initial load
duke
parents:
diff changeset
    20
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    21
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    22
# or visit www.oracle.com if you need additional information or have any
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    23
# questions.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    24
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    25
90ce3da70b43 Initial load
duke
parents:
diff changeset
    26
#  @test
90ce3da70b43 Initial load
duke
parents:
diff changeset
    27
#  @bug 4684386
90ce3da70b43 Initial load
duke
parents:
diff changeset
    28
#  @summary TTY: jdb throws IllegalArumentException on cmd line args
90ce3da70b43 Initial load
duke
parents:
diff changeset
    29
#  @author Jim/suvasis
90ce3da70b43 Initial load
duke
parents:
diff changeset
    30
#  @run shell JdbArgTest.sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
    31
90ce3da70b43 Initial load
duke
parents:
diff changeset
    32
#Call this from anywhere to fail the test with an error message
90ce3da70b43 Initial load
duke
parents:
diff changeset
    33
# usage: fail "reason why the test failed"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    34
fail() 
90ce3da70b43 Initial load
duke
parents:
diff changeset
    35
 { echo "The test failed :-("
90ce3da70b43 Initial load
duke
parents:
diff changeset
    36
   echo "$*" 1>&2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    37
   echo "exit status was $status"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    38
   exit 1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    39
 } #end of fail()
90ce3da70b43 Initial load
duke
parents:
diff changeset
    40
90ce3da70b43 Initial load
duke
parents:
diff changeset
    41
#Call this from anywhere to pass the test with a message
90ce3da70b43 Initial load
duke
parents:
diff changeset
    42
# usage: pass "reason why the test passed if applicable"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    43
pass() 
90ce3da70b43 Initial load
duke
parents:
diff changeset
    44
 { echo "The test passed!!!"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    45
   echo "$*" 1>&2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    46
   exit 0
90ce3da70b43 Initial load
duke
parents:
diff changeset
    47
 } #end of pass()
90ce3da70b43 Initial load
duke
parents:
diff changeset
    48
90ce3da70b43 Initial load
duke
parents:
diff changeset
    49
# end of subroutines
90ce3da70b43 Initial load
duke
parents:
diff changeset
    50
90ce3da70b43 Initial load
duke
parents:
diff changeset
    51
#Set appropriate jdk 
90ce3da70b43 Initial load
duke
parents:
diff changeset
    52
90ce3da70b43 Initial load
duke
parents:
diff changeset
    53
if [ ! -z "${TESTJAVA}" ] ; then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    54
     jdk="$TESTJAVA"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    55
else
90ce3da70b43 Initial load
duke
parents:
diff changeset
    56
     echo "--Error: TESTJAVA must be defined as the pathname of a jdk to test."
90ce3da70b43 Initial load
duke
parents:
diff changeset
    57
     exit 1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    58
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    59
90ce3da70b43 Initial load
duke
parents:
diff changeset
    60
echo quit | \
90ce3da70b43 Initial load
duke
parents:
diff changeset
    61
   $TESTJAVA/bin/jdb Server 0RBDebug subcontract,shutdown,transport 2>&1 | \
90ce3da70b43 Initial load
duke
parents:
diff changeset
    62
   fgrep IllegalArgumentException > /dev/null 2<&1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    63
90ce3da70b43 Initial load
duke
parents:
diff changeset
    64
if [ $? = 1 ] ; then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    65
   pass " This test passed and jbd got no IllegalArgumentException"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    66
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    67
90ce3da70b43 Initial load
duke
parents:
diff changeset
    68
fail "FAILED: jdb got an IllegalArgumentException"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    69